HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostTransfers

Contains the different functions to run the operation postTransfers

  • 3 types
  • 2 values
valuepostTransfers
  1. :: MonadHTTP m
  2. => PostTransfersRequestBody

    The request body to send

  3. -> ClientT m (Response PostTransfersResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/transfers

<p>To send funds from your Stripe account to a connected account, you create a new transfer object. Your <a href="#balance">Stripe balance</a> must be able to cover the transfer amount, or you’ll receive an “Insufficient Funds” error.</p>

Defines the object schema located at paths./v1/transfers.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/transfers.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.source_type in the specification.

The source balance to use for this transfer. One of `bank_account`, `card`, or `fpx`. For most users, this will default to `card`.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postTransfers.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostTransfersResponseError is used.

Constructors

Instances2Eq, Show